Package org.eclipse.birt.chart.model.type

# Interface GanttSeries

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`, `Series`

All Known Implementing Classes:
  `GanttSeriesImpl`

public interface GanttSeries extends Series
A representation of the model object 'Gantt Series'. This is a Series type that holds data for Gantt Charts.

The following features are supported:

- `Start Marker`
- `Start Marker Position`
- `End Marker`
- `End Marker Position`
- `Connection Line`
- `Outline`
- `Outline Fill`
- `Use Decoration Label Value`
- `Decoration Label`
- `Decoration Label Position`
- `Palette Line Color`

See Also:
  - `TypePackage.getGanttSeries()`

## Method Summary

Modifier and Type
Method
Description
`GanttSeries`
`copyInstance()`
`LineAttributes`
`getConnectionLine()`
Returns the value of the 'Connection Line' containment reference.
`Label`
`getDecorationLabel()`
Returns the value of the 'Decoration Label' containment reference.
`Position`
`getDecorationLabelPosition()`
Returns the value of the 'Decoration Label Position' attribute.
`Marker`
`getEndMarker()`
Returns the value of the 'End Marker' containment reference.
`Position`
`getEndMarkerPosition()`
Returns the value of the 'End Marker Position' attribute.
`LineAttributes`
`getOutline()`
Returns the value of the 'Outline' containment reference.
`Fill`
`getOutlineFill()`
Returns the value of the 'Outline Fill' containment reference.
`Marker`
`getStartMarker()`
Returns the value of the 'Start Marker' containment reference.
`Position`
`getStartMarkerPosition()`
Returns the value of the 'Start Marker Position' attribute.
`boolean`
`isPaletteLineColor()`
Returns the value of the 'Palette Line Color' attribute.
`boolean`
`isSetDecorationLabelPosition()`
Returns whether the value of the '`Decoration Label Position`' attribute is set.
`boolean`
`isSetEndMarkerPosition()`
Returns whether the value of the '`End Marker Position`' attribute is set.
`boolean`
`isSetPaletteLineColor()`
Returns whether the value of the '`Palette Line Color`' attribute is set.
`boolean`
`isSetStartMarkerPosition()`
Returns whether the value of the '`Start Marker Position`' attribute is set.
`boolean`
`isSetUseDecorationLabelValue()`
Returns whether the value of the '`Use Decoration Label Value`' attribute is set.
`boolean`
`isUseDecorationLabelValue()`
Returns the value of the 'Use Decoration Label Value' attribute.
`void`
`setConnectionLine(LineAttributes value)`
Sets the value of the '`Connection Line`' containment reference.
`void`
`setDecorationLabel(Label value)`
Sets the value of the '`Decoration Label`' containment reference.
`void`
`setDecorationLabelPosition(Position value)`
Sets the value of the '`Decoration Label Position`' attribute.
`void`
`setEndMarker(Marker value)`
Sets the value of the '`End Marker`' containment reference.
`void`
`setEndMarkerPosition(Position value)`
Sets the value of the '`End Marker Position`' attribute.
`void`
`setOutline(LineAttributes value)`
Sets the value of the '`Outline`' containment reference.
`void`
`setOutlineFill(Fill value)`
Sets the value of the '`Outline Fill`' containment reference.
`void`
`setPaletteLineColor(boolean value)`
Sets the value of the '`Palette Line Color`' attribute.
`void`
`setStartMarker(Marker value)`
Sets the value of the '`Start Marker`' containment reference.
`void`
`setStartMarkerPosition(Position value)`
Sets the value of the '`Start Marker Position`' attribute.
`void`
`setUseDecorationLabelValue(boolean value)`
Sets the value of the '`Use Decoration Label Value`' attribute.
`void`
`unsetDecorationLabelPosition()`
Unsets the value of the '`Decoration Label Position`' attribute.
`void`
`unsetEndMarkerPosition()`
Unsets the value of the '`End Marker Position`' attribute.
`void`
`unsetPaletteLineColor()`
Unsets the value of the '`Palette Line Color`' attribute.
`void`
`unsetStartMarkerPosition()`
Unsets the value of the '`Start Marker Position`' attribute.
`void`
`unsetUseDecorationLabelValue()`
Unsets the value of the '`Use Decoration Label Value`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.birt.chart.model.component.Series

`canBeStacked, canParticipateInCombination, canShareAxisUnit, getCursor, getCurveFitting, getDataDefinition, getDataPoint, getDataSet, getDataSet, getDataSets, getDefinedDataDefinitionIndex, getDisplayName, getLabel, getLabelPosition, getLabelPositionScope, getSeriesIdentifier, getTriggers, isSetLabelPosition, isSetStacked, isSetTranslucent, isSetVisible, isSingleCache, isStacked, isTranslucent, isVisible, setCursor, setCurveFitting, setDataPoint, setDataSet, setDataSet, setLabel, setLabelPosition, setSeriesIdentifier, setStacked, setTranslucent, setVisible, translateFrom, unsetLabelPosition, unsetStacked, unsetTranslucent, unsetVisible`

## Method Details

### getStartMarker

Marker getStartMarker()
Returns the value of the 'Start Marker' containment reference. Specifies the marker to be used for displaying the start data point on the line in the chart.

Returns:
  the value of the 'Start Marker' containment reference.
See Also:
  - `setStartMarker(Marker)`
  - `TypePackage.getGanttSeries_StartMarker()`

### setStartMarker

void setStartMarker(Marker value)
Sets the value of the '`Start Marker`' containment reference.

Parameters:
  `value` - the new value of the 'Start Marker' containment reference.
See Also:
  - `getStartMarker()`

### getStartMarkerPosition

Position getStartMarkerPosition()
Returns the value of the 'Start Marker Position' attribute. The default value is `"Above"`. The literals are from the enumeration `Position`. Specifies the position of the start marker relative to the connection line start point.

Returns:
  the value of the 'Start Marker Position' attribute.
See Also:
  - `Position`
  - `isSetStartMarkerPosition()`
  - `unsetStartMarkerPosition()`
  - `setStartMarkerPosition(Position)`
  - `TypePackage.getGanttSeries_StartMarkerPosition()`

### setStartMarkerPosition

void setStartMarkerPosition(Position value)
Sets the value of the '`Start Marker Position`' attribute.

Parameters:
  `value` - the new value of the 'Start Marker Position' attribute.
See Also:
  - `Position`
  - `isSetStartMarkerPosition()`
  - `unsetStartMarkerPosition()`
  - `getStartMarkerPosition()`

### unsetStartMarkerPosition

void unsetStartMarkerPosition()
Unsets the value of the '`Start Marker Position`' attribute.

See Also:
  - `isSetStartMarkerPosition()`
  - `getStartMarkerPosition()`
  - `setStartMarkerPosition(Position)`

### isSetStartMarkerPosition

boolean isSetStartMarkerPosition()
Returns whether the value of the '`Start Marker Position`' attribute is set.

Returns:
  whether the value of the 'Start Marker Position' attribute is set.
See Also:
  - `unsetStartMarkerPosition()`
  - `getStartMarkerPosition()`
  - `setStartMarkerPosition(Position)`

### getEndMarker

Marker getEndMarker()
Returns the value of the 'End Marker' containment reference. Specifies the marker to be used for displaying the end data point on the line in the chart.

Returns:
  the value of the 'End Marker' containment reference.
See Also:
  - `setEndMarker(Marker)`
  - `TypePackage.getGanttSeries_EndMarker()`

### setEndMarker

void setEndMarker(Marker value)
Sets the value of the '`End Marker`' containment reference.

Parameters:
  `value` - the new value of the 'End Marker' containment reference.
See Also:
  - `getEndMarker()`

### getEndMarkerPosition

Position getEndMarkerPosition()
Returns the value of the 'End Marker Position' attribute. The default value is `"Above"`. The literals are from the enumeration `Position`. Specifies the position of the end marker relative to the connection line end point.

Returns:
  the value of the 'End Marker Position' attribute.
See Also:
  - `Position`
  - `isSetEndMarkerPosition()`
  - `unsetEndMarkerPosition()`
  - `setEndMarkerPosition(Position)`
  - `TypePackage.getGanttSeries_EndMarkerPosition()`

### setEndMarkerPosition

void setEndMarkerPosition(Position value)
Sets the value of the '`End Marker Position`' attribute.

Parameters:
  `value` - the new value of the 'End Marker Position' attribute.
See Also:
  - `Position`
  - `isSetEndMarkerPosition()`
  - `unsetEndMarkerPosition()`
  - `getEndMarkerPosition()`

### unsetEndMarkerPosition

void unsetEndMarkerPosition()
Unsets the value of the '`End Marker Position`' attribute.

See Also:
  - `isSetEndMarkerPosition()`
  - `getEndMarkerPosition()`
  - `setEndMarkerPosition(Position)`

### isSetEndMarkerPosition

boolean isSetEndMarkerPosition()
Returns whether the value of the '`End Marker Position`' attribute is set.

Returns:
  whether the value of the 'End Marker Position' attribute is set.
See Also:
  - `unsetEndMarkerPosition()`
  - `getEndMarkerPosition()`
  - `setEndMarkerPosition(Position)`

### getConnectionLine

LineAttributes getConnectionLine()
Returns the value of the 'Connection Line' containment reference. Specifies the attributes for the line used to represent this series.

Returns:
  the value of the 'Connection Line' containment reference.
See Also:
  - `setConnectionLine(LineAttributes)`
  - `TypePackage.getGanttSeries_ConnectionLine()`

### setConnectionLine

void setConnectionLine(LineAttributes value)
Sets the value of the '`Connection Line`' containment reference.

Parameters:
  `value` - the new value of the 'Connection Line' containment reference.
See Also:
  - `getConnectionLine()`

### getOutline

LineAttributes getOutline()
Returns the value of the 'Outline' containment reference. Specifies the attributes for the outline used to represent this series.

Returns:
  the value of the 'Outline' containment reference.
See Also:
  - `setOutline(LineAttributes)`
  - `TypePackage.getGanttSeries_Outline()`

### setOutline

void setOutline(LineAttributes value)
Sets the value of the '`Outline`' containment reference.

Parameters:
  `value` - the new value of the 'Outline' containment reference.
See Also:
  - `getOutline()`

### getOutlineFill

Fill getOutlineFill()
Returns the value of the 'Outline Fill' containment reference. Defines the extra fill to be used with outline.

Returns:
  the value of the 'Outline Fill' containment reference.
See Also:
  - `setOutlineFill(Fill)`
  - `TypePackage.getGanttSeries_OutlineFill()`

### setOutlineFill

void setOutlineFill(Fill value)
Sets the value of the '`Outline Fill`' containment reference.

Parameters:
  `value` - the new value of the 'Outline Fill' containment reference.
See Also:
  - `getOutlineFill()`

### isUseDecorationLabelValue

boolean isUseDecorationLabelValue()
Returns the value of the 'Use Decoration Label Value' attribute. Specifies if use decoration value as the datapoint label value

Returns:
  the value of the 'Use Decoration Label Value' attribute.
See Also:
  - `isSetUseDecorationLabelValue()`
  - `unsetUseDecorationLabelValue()`
  - `setUseDecorationLabelValue(boolean)`
  - `TypePackage.getGanttSeries_UseDecorationLabelValue()`

### setUseDecorationLabelValue

void setUseDecorationLabelValue(boolean value)
Sets the value of the '`Use Decoration Label Value`' attribute.

Parameters:
  `value` - the new value of the 'Use Decoration Label Value' attribute.
See Also:
  - `isSetUseDecorationLabelValue()`
  - `unsetUseDecorationLabelValue()`
  - `isUseDecorationLabelValue()`

### unsetUseDecorationLabelValue

void unsetUseDecorationLabelValue()
Unsets the value of the '`Use Decoration Label Value`' attribute.

See Also:
  - `isSetUseDecorationLabelValue()`
  - `isUseDecorationLabelValue()`
  - `setUseDecorationLabelValue(boolean)`

### isSetUseDecorationLabelValue

boolean isSetUseDecorationLabelValue()
Returns whether the value of the '`Use Decoration Label Value`' attribute is set.

Returns:
  whether the value of the 'Use Decoration Label Value' attribute is set.
See Also:
  - `unsetUseDecorationLabelValue()`
  - `isUseDecorationLabelValue()`
  - `setUseDecorationLabelValue(boolean)`

### getDecorationLabel

Label getDecorationLabel()
Returns the value of the 'Decoration Label' containment reference. Holds the properties for the decoration label, which could be used to decorate the primary base Axis.

Returns:
  the value of the 'Decoration Label' containment reference.
See Also:
  - `setDecorationLabel(Label)`
  - `TypePackage.getGanttSeries_DecorationLabel()`

### setDecorationLabel

void setDecorationLabel(Label value)
Sets the value of the '`Decoration Label`' containment reference.

Parameters:
  `value` - the new value of the 'Decoration Label' containment reference.
See Also:
  - `getDecorationLabel()`

### getDecorationLabelPosition

Position getDecorationLabelPosition()
Returns the value of the 'Decoration Label Position' attribute. The default value is `"Above"`. The literals are from the enumeration `Position`. Holds the position property for the decoration label.

Returns:
  the value of the 'Decoration Label Position' attribute.
See Also:
  - `Position`
  - `isSetDecorationLabelPosition()`
  - `unsetDecorationLabelPosition()`
  - `setDecorationLabelPosition(Position)`
  - `TypePackage.getGanttSeries_DecorationLabelPosition()`

### setDecorationLabelPosition

void setDecorationLabelPosition(Position value)
Sets the value of the '`Decoration Label Position`' attribute.

Parameters:
  `value` - the new value of the 'Decoration Label Position' attribute.
See Also:
  - `Position`
  - `isSetDecorationLabelPosition()`
  - `unsetDecorationLabelPosition()`
  - `getDecorationLabelPosition()`

### unsetDecorationLabelPosition

void unsetDecorationLabelPosition()
Unsets the value of the '`Decoration Label Position`' attribute.

See Also:
  - `isSetDecorationLabelPosition()`
  - `getDecorationLabelPosition()`
  - `setDecorationLabelPosition(Position)`

### isSetDecorationLabelPosition

boolean isSetDecorationLabelPosition()
Returns whether the value of the '`Decoration Label Position`' attribute is set.

Returns:
  whether the value of the 'Decoration Label Position' attribute is set.
See Also:
  - `unsetDecorationLabelPosition()`
  - `getDecorationLabelPosition()`
  - `setDecorationLabelPosition(Position)`

### isPaletteLineColor

boolean isPaletteLineColor()
Returns the value of the 'Palette Line Color' attribute. Indicates if use the series palette color to draw the line instead of the color in ConnectionLine

Returns:
  the value of the 'Palette Line Color' attribute.
See Also:
  - `isSetPaletteLineColor()`
  - `unsetPaletteLineColor()`
  - `setPaletteLineColor(boolean)`
  - `TypePackage.getGanttSeries_PaletteLineColor()`

### setPaletteLineColor

void setPaletteLineColor(boolean value)
Sets the value of the '`Palette Line Color`' attribute.

Parameters:
  `value` - the new value of the 'Palette Line Color' attribute.
See Also:
  - `isSetPaletteLineColor()`
  - `unsetPaletteLineColor()`
  - `isPaletteLineColor()`

### unsetPaletteLineColor

void unsetPaletteLineColor()
Unsets the value of the '`Palette Line Color`' attribute.

See Also:
  - `isSetPaletteLineColor()`
  - `isPaletteLineColor()`
  - `setPaletteLineColor(boolean)`

### isSetPaletteLineColor

boolean isSetPaletteLineColor()
Returns whether the value of the '`Palette Line Color`' attribute is set.

Returns:
  whether the value of the 'Palette Line Color' attribute is set.
See Also:
  - `unsetPaletteLineColor()`
  - `isPaletteLineColor()`
  - `setPaletteLineColor(boolean)`

### copyInstance

GanttSeries copyInstance()

Specified by:
  `copyInstance` in interface `IChartObject`
Specified by:
  `copyInstance` in interface `Series`